import { EventEmitter } from '@angular/core';
import { Addon } from '@vendasta/core/shared';
import { Product } from '../shared/product';
export declare class VaProductsNavComponent {
    items: (Addon | Product)[];
    hideItemsNav: boolean;
    itemSelected: EventEmitter<any>;
    selectedIndex: number;
    pageMarker: number;
    onItemSelected(index: any): void;
    moveSlides(slides: HTMLBodyElement): void;
    pageNext(slides: HTMLBodyElement): void;
    pagePrev(slides: HTMLBodyElement): void;
}
